Page MenuHomePhabricator

AMDGPU: Cleanup. Use definesRegister instead of manual loop
ClosedPublic

Authored by arsenm on Jul 5 2016, 4:05 PM.

Details

Summary

Also this will be more precise since it will check exec_lo/exec_hi writes.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 62798.Jul 5 2016, 4:05 PM
arsenm retitled this revision from to AMDGPU: Cleanup. Use definesRegister instead of manual loop.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
nhaehnle accepted this revision.Jul 6 2016, 1:38 AM
nhaehnle added a reviewer: nhaehnle.
nhaehnle added a subscriber: nhaehnle.

LGTM

This revision is now accepted and ready to land.Jul 6 2016, 1:38 AM
arsenm closed this revision.Jul 7 2016, 6:02 PM

r274817